Qt 5.6 | Qt GUI | C++ Classes | QShortcutEvent

Qt 5.6.2 Reference Documentation

# QShortcutEvent Class

The QShortcutEvent class provides an event which is generated when the user presses a key combination. More...

Header: | #include <QShortcutEvent>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QShortcutEvent(const QKeySequence &key, int id, bool ambiguous = false)
| ~QShortcutEvent()
bool | isAmbiguous() const
const QKeySequence & | key() const
int | shortcutId() const

## Detailed Description

The QShortcutEvent class provides an event which is generated when the user presses a key combination.

Normally you do not need to use this class directly; QShortcut provides a higher-level interface to handle shortcut keys.

See also QShortcut.

## Member Function Documentation

### QShortcutEvent::QShortcutEvent(const QKeySequence &key, int id, bool ambiguous = false)

Constructs a shortcut event for the given key press, associated with the QShortcut ID id.

ambiguous specifies whether there is more than one QShortcut for the same key sequence.

### QShortcutEvent::~QShortcutEvent()

Destroys the event object.

### bool QShortcutEvent::isAmbiguous() const

Returns `true` if the key sequence that triggered the event is ambiguous.

See also QShortcut::activatedAmbiguously().

### const QKeySequence &QShortcutEvent::key() const

Returns the key sequence that triggered the event.

### int QShortcutEvent::shortcutId() const

Returns the ID of the QShortcut object for which this event was generated.

See also QShortcut::id().